| vrnaheat

## Function

RNA melting

## Description

This is a port of the Vienna RNA package program RNAheat.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnaheat

    % vrnaheat -mintemp 30 -maxtemp 120 -step 0.1 -smoothing 4
    RNA melting
    Input nucleotide sequence: cofold-red.fasta
    Vienna RNAfold output file [red.vrnaheat]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-outfile]           outfile    [*.vrnaheat] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -paramfile          infile     Vienna RNA parameters file (optional)
       -mintemp            float      [0.0] Temperature (Any numeric value)
       -maxtemp            float      [100.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string is accepted)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -smoothing          integer    [2] Parabola fitting value (Any integer
                                      value)
       -step               float      [1.0] Step size in degrees C (Number from
                                      0.010 to 1000.000)
       -dangles            menu       [2] Method (Values: 0 (Ignore); 2 (Always
                                      use dangling energies))

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outfile] (Parameter 2) | Vienna RNAfold output file | Output file | <*>.vrnaheat
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-paramfile | Vienna RNA parameters file (optional) | Input file | Required
-mintemp | Temperature | Any numeric value | 0.0
-maxtemp | Temperature | Any numeric value | 100.0
-[no]gu | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | Convert T to U | Boolean value Yes/No | Yes
-nsbases | Non-standard bases | Any string is accepted | An empty string is accepted
-[no]tetraloop | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes

-energy

Rarely used option to fold sequences from the ABCD... alphabet

0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)

0

-smoothing | Parabola fitting value | Any integer value | 2
-step | Step size in degrees C | Number from 0.010 to 1000.000 | 1.0

-dangles

Method

0 | (Ignore)
2 | (Always use dangling energies)

2

## Input file format

vrnaheat reads any normal sequence USAs.

### Input files for usage example

### File: cofold-red.fasta

    >red
    AUGAAGAUGA

## Output file format

vrnaheat outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: red.vrnaheat

    30.0    0.0249224
    30.1    0.0246136
    30.2    0.0243089
    30.3    0.0240069
    30.4    0.0237101
    30.5    0.0234163
    30.6    0.0231268
    30.7    0.0228404
    30.8    0.0225589
    30.9    0.0222815
    31.0    0.0220065
    31.1    0.021735
    31.2    0.0214681
    31.3    0.0212039
    31.4    0.0209434
    31.5    0.0206865
    31.6    0.0204337
    31.7    0.0201827
    31.8    0.0199348
    31.9    0.0196913
    32.0    0.0194505
    32.1    0.0192131
    32.2    0.0189785
    32.3    0.0187473
    32.4    0.0185188
    32.5    0.0182933
    32.6    0.0180709
    32.7    0.0178514
    32.8    0.0176344
    32.9    0.0174205
    33.0    0.0172092
    33.1    0.0170016
    33.2    0.0167953
    33.3    0.0165932
    33.4    0.0163923
    33.5    0.0161944
    33.6    0.0159986
    33.7    0.0158057
    33.8    0.0156164
    33.9    0.0154291
    34.0    0.0152431
    34.1    0.0150599
    34.2    0.0148787
    34.3    0.0147011
    34.4    0.0145247
    34.5    0.0143517
    34.6    0.014181
    34.7    0.0140118
    34.8    0.0138441
    34.9    0.0136778

      [Part of this file has been deleted for brevity]

    114.9   2.13689e-05
    115.0   2.12864e-05
    115.1   2.11928e-05
    115.2   2.1109e-05
    115.3   2.10593e-05
    115.4   2.09632e-05
    115.5   2.08829e-05
    115.6   2.07866e-05
    115.7   2.07026e-05
    115.8   2.06099e-05
    115.9   2.04914e-05
    116.0   2.04207e-05
    116.1   2.03585e-05
    116.2   2.0273e-05
    116.3   2.01923e-05
    116.4   2.013e-05
    116.5   2.00431e-05
    116.6   1.99869e-05
    116.7   1.98766e-05
    116.8   1.98387e-05
    116.9   1.97431e-05
    117.0   1.96486e-05
    117.1   1.95307e-05
    117.2   1.94705e-05
    117.3   1.93833e-05
    117.4   1.93354e-05
    117.5   1.92382e-05
    117.6   1.92e-05
    117.7   1.91249e-05
    117.8   1.90645e-05
    117.9   1.8945e-05
    118.0   1.88858e-05
    118.1   1.87982e-05
    118.2   1.87032e-05
    118.3   1.86216e-05
    118.4   1.85672e-05
    118.5   1.85041e-05
    118.6   1.84348e-05
    118.7   1.83235e-05
    118.8   1.82862e-05
    118.9   1.81883e-05
    119.0   1.81275e-05
    119.1   1.80642e-05
    119.2   1.79773e-05
    119.3   1.79189e-05
    119.4   1.78418e-05
    119.5   1.77561e-05
    119.6   1.7721e-05
    119.7   1.76402e-05
    119.8   1.75803e-05
    119.9   1.74981e-05

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments